Bug 62860 - provide easy way to change common / default FORMATTING STYLES for data series
Summary: provide easy way to change common / default FORMATTING STYLES for data series
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2013-03-28 11:13 UTC by Cor Nouws
Modified: 2018-04-17 17:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-03-28 11:13:16 UTC
When a chart with some lines is created (line diagram) and you want to make the lines less fat (copetitive producst have lines that are clearly thinner) it is complicated to set the line width. Have to do that for all lines too.

One option to set the width for all lines in the diagram, or maybe even a choice for different default would be great :-)
Comment 1 Rainer Bielefeld Retired 2013-04-18 10:25:10 UTC
Yes, that would really be nice to have. Of course in a first step (what always will be needed also for more powerful enhancements) it might be enough to allow to select multiple lines in the legend or so. 

But I believe a really satisfying solution only will be possible by applying the styles concept to Chart.

Although I feel most pain modifying data lines in lie charts, the problem also affects other chart types.
Comment 2 Cor Nouws 2013-04-18 21:02:03 UTC
@Rainer,

(In reply to comment #1)

> But I believe a really satisfying solution only will be possible by applying
> the styles concept to Chart.

How much I believe and use the power of styles, with your enhanced version of thes request for enhancement, the better can be the ennemy of the good :-)

In Tools > Options > Charts we already have a page Colors. Adding some general / settings with just default line width, would be easier then implementing styles, I guess ...
Comment 3 stragu 2013-10-30 04:30:40 UTC
This would be a great addition to the chart feature.
It is still a problem in LO 4.1.2.3
I often create XY charts with dozens of data series, and I always find that the thickness of the lines make the chart not readable. I nearly always want to change the line styles, remove the icons and create colour categories as well, which takes a ridiculous amount of time when each line has to be modified separately.

As Cor said, a first step (probably simpler to implement) would be to be able to go to "Tools > Options > Charts" and choose not only the default colours, but all the parameters available in "Format > Data series > Line tab" (line style, width, transparency, icon...).

Another thing that needs to be implemented, which could come next or at the same time, would be to be able to select several data series (with ctrl + click) in order to give them the same format (and the values of parameters that differ from one data series to another can be greyed out until modified, like we can see consistently in other formatting menus).

Finally, the most comprehensive (but still complimentary) solution would be to implement chart styles so users can create and save their favourite styles, and so a modification of one style impacts on all the charts that follow it, in case auto-update is chosen. This would be very useful in large data files that contain several charts that need to look as consistent as possible.
Comment 4 Robin 2015-06-27 22:00:45 UTC
Version 4.3.7.2

I cannot believe that this is still not seen as an issue to be resolved.

I have fought with this for some time.  Create 30 charts for printing and have to go and edit each and every line in each and every chart to get them to print in a readable form.  Under the present settings, Calc is useless for mass chart production.

Either under Tools > Options > Charts have the ability to change the defaults for chart type, lines and styles or a configuration file that can be edited.

Bring in chart styles as another option.

This needs to be fixed.

I would increase the severity to high if it was me.

Reading through the web posts, the default line thickness was changed some time ago and it has pissed of many people.

This is also an issue in OpenOffice.
Comment 5 Cor Nouws 2015-06-29 07:58:58 UTC
(In reply to Robin from comment #4)
> Version 4.3.7.2
> 
> I cannot believe that this is still not seen as an issue to be resolved.
> ...

Hi Robin,

Thanks for your passionate support for this issue. But in general, people do not get more time available or enthusiasm to work on topics, just because others find it important. Sorry, but that is how it works.
Since it is open source, people with time and some skills are always invited to step in and will receive due guidance of experienced developers. Companies might also consider sponsoring development (which happens continuously).
And of course all help with QA, l10n, marketing etc etc is appreciated and valuable.

Cheers,
Cor
Comment 6 Robin 2015-06-30 04:43:39 UTC
I do understand.

I wish I had more time and more coding experience to look at it myself.  I am working on it.

How large is LibreOffice source code?
Comment 7 Cor Nouws 2015-06-30 06:06:22 UTC
Thanks Robin..

(In reply to Robin from comment #6)

> I wish I had more time and more coding experience to look at it myself.  I
> am working on it.

Good :)

> How large is LibreOffice source code?

I don't think the size ( ~ 8 mln lines ) is most relevant.
More important is the help, tooling, and easy hacks to get on started.
You may have a look here
 https://wiki.documentfoundation.org/Development
 https://wiki.documentfoundation.org/Development/Easy_Hacks
Comment 8 Robin 2015-06-30 06:34:18 UTC
> I don't think the size ( ~ 8 mln lines ) is most relevant.
> More important is the help, tooling, and easy hacks to get on started.
> You may have a look here

It is relevant to me.  I need to know the amount of space as my learning computer is limited in disk space at this time.  I have to upgrade the HDD in the next few weeks.  

I guess I will wait until then.

I do like the idea of easy hacks to start on.
Comment 9 Cor Nouws 2015-07-10 06:47:18 UTC
adding a link to a slightly related bug
with some rough code pointers, if I may say so
Comment 10 Robinson Tryon (qubit) 2015-12-13 11:20:43 UTC Comment hidden (obsolete)
Comment 11 mcrai 2017-12-29 10:30:23 UTC
IMHO the default styles of LibreOffice Calc Diagrams could do with some rework. With this, I am opening Pandora's box, I know, but still. IMHO working on color palettes is (was) good but unfortunately does not go far enough. Have a look at some competitors diagrams, there has been some development to the good.

I am planning to get into improving LibreOffice, on a parallel tab I have opened https://wiki.documentfoundation.org/Development

So, if anyone is going to hit me, please be gentle. ;)
Comment 12 Cor Nouws 2018-02-04 16:04:30 UTC
(In reply to mcrai from comment #11)

> I am planning to get into improving LibreOffice, on a parallel tab I have
> opened https://wiki.documentfoundation.org/Development
> 
> So, if anyone is going to hit me, please be gentle. ;)

Lovely, welcome, thanks!